<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f7f8f9">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:overScrollMode="never"
        android:scrollbars="none"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/toolbar_include">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingStart="14dp"
            android:paddingTop="12dp"
            android:paddingEnd="14dp"
            android:paddingBottom="12dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_white_10dp"
                android:paddingBottom="20dp">

                <ImageView
                    android:id="@+id/iv_time_icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="11dp"
                    android:layout_marginTop="12dp"
                    android:src="@drawable/icon_clock"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_course_time"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:paddingStart="7dp"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/sp_13"
                    app:layout_constraintBottom_toBottomOf="@+id/iv_time_icon"
                    app:layout_constraintLeft_toRightOf="@+id/iv_time_icon"
                    app:layout_constraintTop_toTopOf="@+id/iv_time_icon"
                    tools:text="2021/09/17 14:00~14:25" />

                <TextView
                    android:id="@+id/tv_course_status"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="11dp"
                    android:text="已结束"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintBottom_toBottomOf="@+id/iv_time_icon"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/iv_time_icon" />

                <View
                    android:id="@+id/view_line"
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:layout_marginTop="10dp"
                    android:background="@color/color_f2f2f2"
                    app:layout_constraintTop_toBottomOf="@+id/iv_time_icon" />

                <com.cooleshow.base.widgets.QMUIRadiusImageView
                    android:id="@+id/iv_avatar"
                    android:layout_width="47dp"
                    android:layout_height="51dp"
                    android:layout_marginStart="11dp"
                    android:layout_marginTop="17dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/view_line" />

                <TextView
                    android:id="@+id/tv_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:ellipsize="end"
                    android:includeFontPadding="false"
                    android:maxLines="2"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toRightOf="@+id/iv_avatar"
                    app:layout_constraintRight_toLeftOf="@+id/iv_go_chat"
                    app:layout_constraintTop_toTopOf="@+id/iv_avatar"
                    app:layout_constraintVertical_chainStyle="packed"
                    tools:text="张豆豆张豆豆张豆豆张豆" />

                <ImageView
                    android:paddingStart="5dp"
                    android:id="@+id/iv_go_chat"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:src="@drawable/icon_chat_small"
                    app:layout_constraintBottom_toBottomOf="@+id/tv_title"
                    app:layout_constraintLeft_toRightOf="@+id/tv_title"
                    app:layout_constraintTop_toTopOf="@+id/tv_title" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_course_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    app:layout_constraintLeft_toLeftOf="@+id/tv_title"
                    app:layout_constraintTop_toBottomOf="@+id/tv_title" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_136"
                android:layout_marginTop="12dp"
                android:background="@drawable/bg_white_10dp"
                android:paddingBottom="10dp">

                <View
                    android:id="@+id/view_appraisal_line"
                    android:layout_width="4dp"
                    android:layout_height="14dp"
                    android:layout_marginStart="12dp"
                    android:layout_marginTop="13dp"
                    android:background="@drawable/shape_course_title_tag_bg"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_teacher_appraisal_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:paddingStart="5dp"
                    android:text="老师点评"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_13"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="@+id/view_appraisal_line"
                    app:layout_constraintLeft_toRightOf="@+id/view_appraisal_line"
                    app:layout_constraintTop_toTopOf="@+id/view_appraisal_line" />

                <TextView
                    android:id="@+id/tv_teacher_appraisal"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_88"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_38"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/shape_bg_f7f8f9_4dp"
                    android:gravity="center"
                    android:lineSpacingExtra="@dimen/dp_4"
                    android:paddingLeft="@dimen/dp_8"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingRight="@dimen/dp_8"
                    android:paddingBottom="@dimen/dp_6"
                    android:text="课程结束之后老师会对您的学习进行点评喔～"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_13"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:background="@drawable/bg_white_10dp"
                android:paddingBottom="10dp">

                <View
                    android:id="@+id/view_title_line_stu_comment"
                    android:layout_width="4dp"
                    android:layout_height="14dp"
                    android:layout_marginStart="12dp"
                    android:layout_marginTop="13dp"
                    android:background="@drawable/shape_course_title_tag_bg"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_stu_comment_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:paddingStart="5dp"
                    android:text="评价老师"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_13"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="@+id/view_title_line_stu_comment"
                    app:layout_constraintLeft_toRightOf="@+id/view_title_line_stu_comment"
                    app:layout_constraintTop_toTopOf="@+id/view_title_line_stu_comment" />

                <RatingBar
                    android:id="@+id/rating_bar_for_student"
                    style="@style/HomeRatingBar"
                    android:layout_width="wrap_content"
                    android:layout_height="19dp"
                    android:layout_marginStart="6dp"
                    android:numStars="5"
                    android:rating="3"
                    android:stepSize="1"
                    android:visibility="gone"
                    app:layout_constraintBottom_toBottomOf="@+id/tv_stu_comment_title"
                    app:layout_constraintLeft_toRightOf="@+id/tv_stu_comment_title"
                    app:layout_constraintTop_toTopOf="@+id/tv_stu_comment_title" />

                <TextView
                    android:id="@+id/tv_evaluate"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_40"
                    android:layout_marginRight="@dimen/dp_12"
                    android:drawableLeft="@drawable/icon_course_detail_evaluate"
                    android:drawablePadding="@dimen/dp_2"
                    android:gravity="center"
                    android:text="评价"
                    android:textColor="@color/color_2dc7aa"
                    android:textSize="@dimen/sp_14"
                    android:visibility="visible"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />


                <TextView
                    android:id="@+id/tv_stu_comment"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_88"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_38"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/shape_bg_f7f8f9_4dp"
                    android:gravity="center"
                    android:lineSpacingExtra="@dimen/dp_4"
                    android:paddingLeft="@dimen/dp_8"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingRight="@dimen/dp_8"
                    android:paddingBottom="@dimen/dp_6"
                    android:text="课程结束之后记得对老师的教学进行评价哦！"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_13"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_136"
                android:layout_marginTop="12dp"
                android:background="@drawable/bg_white_10dp"
                android:paddingBottom="10dp">

                <View
                    android:id="@+id/view_homework_line"
                    android:layout_width="4dp"
                    android:layout_height="14dp"
                    android:layout_marginStart="12dp"
                    android:layout_marginTop="13dp"
                    android:background="@drawable/shape_course_title_tag_bg"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_homework_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:paddingStart="5dp"
                    android:text="课后作业"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_13"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="@+id/view_homework_line"
                    app:layout_constraintLeft_toRightOf="@+id/view_homework_line"
                    app:layout_constraintTop_toTopOf="@+id/view_homework_line" />

                <TextView
                    android:id="@+id/tv_homework"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_88"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_38"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/shape_bg_f7f8f9_4dp"
                    android:gravity="center"
                    android:lineSpacingExtra="@dimen/dp_4"
                    android:paddingLeft="@dimen/dp_8"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingRight="@dimen/dp_8"
                    android:paddingBottom="@dimen/dp_6"
                    android:text="课程结束后老师会布置作业喔～"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_13"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:background="@drawable/bg_white_10dp"
                android:paddingBottom="10dp">

                <View
                    android:id="@+id/view_video_work_line"
                    android:layout_width="4dp"
                    android:layout_height="14dp"
                    android:layout_marginStart="12dp"
                    android:layout_marginTop="13dp"
                    android:background="@drawable/shape_course_title_tag_bg"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_video_work_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:paddingStart="5dp"
                    android:text="视频作业"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_13"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="@+id/view_video_work_line"
                    app:layout_constraintLeft_toRightOf="@+id/view_video_work_line"
                    app:layout_constraintTop_toTopOf="@+id/view_video_work_line" />

                <TextView
                    android:id="@+id/tv_video_work"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_88"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_38"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/shape_bg_f7f8f9_4dp"
                    android:gravity="center"
                    android:paddingLeft="@dimen/dp_8"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingRight="@dimen/dp_8"
                    android:paddingBottom="@dimen/dp_6"
                    android:text="课程结束之后可上传视频作业！"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_13"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_video"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_5"
                    android:layout_marginTop="@dimen/dp_38"
                    android:layout_marginRight="@dimen/dp_5"
                    android:layout_marginBottom="@dimen/dp_8"
                    android:visibility="gone"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />


            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_136"
                android:layout_marginTop="12dp"
                android:background="@drawable/bg_white_10dp"
                android:paddingBottom="10dp">

                <View
                    android:id="@+id/view_work_review_line"
                    android:layout_width="4dp"
                    android:layout_height="14dp"
                    android:layout_marginStart="12dp"
                    android:layout_marginTop="13dp"
                    android:background="@drawable/shape_course_title_tag_bg"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_work_review_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:paddingStart="5dp"
                    android:text="作业点评"
                    android:textColor="@color/color_1a1a1a"
                    android:textSize="@dimen/sp_13"
                    android:textStyle="bold"
                    app:layout_constraintBottom_toBottomOf="@+id/view_work_review_line"
                    app:layout_constraintLeft_toRightOf="@+id/view_work_review_line"
                    app:layout_constraintTop_toTopOf="@+id/view_work_review_line" />

                <TextView
                    android:id="@+id/tv_work_review"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_88"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_38"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/shape_bg_f7f8f9_4dp"
                    android:gravity="center"
                    android:paddingLeft="@dimen/dp_8"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingRight="@dimen/dp_8"
                    android:paddingBottom="@dimen/dp_6"
                    android:text="课程结束后上传作业视频会得倒老师点评喔～"
                    android:textColor="@color/color_999999"
                    android:textSize="@dimen/sp_13"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <TextView
                android:id="@+id/tv_do"
                android:layout_width="@dimen/dp_187"
                android:layout_height="@dimen/dp_44"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="@dimen/dp_26"
                android:layout_marginBottom="@dimen/dp_61"
                android:background="@drawable/shape_course_status_ing"
                android:gravity="center"
                android:text="进入教室"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>